Subject: Announce dvi driver for 9-pin epson
From: [email-masked] (Neal Becker)
Date: 5 Apr 1993 20:37:29 GMT
Newsgroups: comp.os.linux.announce

I have uploaded eps-0.1.tar.z to tsx-11.mit.edu.

eps is a dvi driver for 9-pin epson.  This is the initial alpha
release.

Here is an excerpt from README.EPS:
-------------------------------------
1. What is this?

	This is a dvi driver for epson 9-pin dot matrix.  It was built from
the mctex package, which is found in the standard TeX distribution.

	I converted all the source to c++.  This was done mostly to
catch some portability problems when I built this for MSDOS.

	Next, I added the epson driver which is in the eps directory.
This driver is designed to use 240 x 216 dpi fonts.  I have included
the standard U_WASH.mf set of Metafont modes, which includes the
setting for building epson fonts.

	I also modified the mctex code to allow for separate vertical
and horizontal dpi, since my epson is 240 x 216.

	Just to wet your appetite I am including the necessary fonts
to print 'sample.tex'.  If you want other fonts you'll need to use
Metafont to make them.  You may have defs for this in your 'modes.mf',
under 'EpsonMXFX'.  The only set of fonts I have for epson is far too
extensive for any possible use, and I haven't had time to weed through
them to eliminate seldom-used stuff.  If anyone has a handy way to
build just a minimal set of TeX and LaTeX fonts please let me know.

Note: You must really be desperate to print TeX on your epson.  This
is never going to look like a laser printer.  And I hope you have lots
of time on your hands to wait for the printout, cause you'll need it.
I must really be desperate to write this.  But if you really must try
this, you'll probably get as good a result out of your epson as is
possible.

2. You'll need to install a fontdesc file to describe the location of
your fonts.  Here's mine:

font	pk	epson	3	/usr/local/lib/tex/fonts/epson/%m/%f.pk

I put this file in '/usr/local/lib/tex/fonts/fontdesc'.  You may want
to make /usr/local/lib/tex a symlink to wherever TeX lives (/usr/TeX,
maybe?)  This says that the font cmr10 at 240x216 dpi can be found at
'/usr/local/lib/tex/fonts/epson/240/cmr10.pk'.   This is the
convention used by TeX software on MSDOS.  Actually, I think its a
good one.  But feel free to change it.

3. Supported printers?  I don't know.  It works on my Panasonic
kx-1080i.  Other epson 9-pin compatibles might work.  My printer
accepts the code 'esc-f0#' where # is a number of spaces to skip.  I
called this the HasFastSpace switch (-f).  Some epson-types don't seem
to accept this.  It's not really needed anyway, so it's off by
default.

Oh yes, typing eps will give you the usage.

Oh, one more thing.  On my 0.99.7 system I can't get /dev/lp1 to work
unless I say 'lpcntl /dev/lp1 7' to turn on the interrupt code.
Otherwise I get all kinds of errors when I send a reset code to the
printer.

4. Questions:

"Why should I use this instead of dvips + ghostscript?"

Because it uses a special set of bitmaps fonts made just for the 9-pin
epson (240 x 216 dpi).  The results are much better quality.  Or
should I say, much less bad quality?

5. Please send complaints, bug reports, patches, complements, money,
etc. to
	[email-masked]

6. Someone please teach me to write recursive make files.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]